Skip to main content
GET
/
projects
/
{project_id}
/
storage_locations
/
{id}
Get Storage Location
curl --request GET \
  --url https://api.sandbox.isometric.com/mrv/v0/projects/{project_id}/storage_locations/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-secret: <x-client-secret>'
import requests

url = "https://api.sandbox.isometric.com/mrv/v0/projects/{project_id}/storage_locations/{id}"

headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};

fetch('https://api.sandbox.isometric.com/mrv/v0/projects/{project_id}/storage_locations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "slc_1F3PMGVC91S0SBK3",
  "name": "<string>",
  "project_id": "prj_1CTWZQGKE1S0VAXA",
  "supplier_id": "spl_1CC712KFS1S0YKPS",
  "description": "<string>",
  "latitude": 0,
  "longitude": 0,
  "supplier_reference_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Path Parameters

project_id
string
required
Required string length: 20 - 37
Examples:

"prj_1CTWZQGKE1S0VAXA"

"prj_1E0QTWB22SBX34D1"

id
string
required
Required string length: 20 - 37
Examples:

"slc_1F3PMGVC91S0SBK3"

"slc_1DCY5K78BSBX3XMZ"

Response

Successful Response

id
string
required
Required string length: 20 - 37
Examples:

"slc_1F3PMGVC91S0SBK3"

"slc_1DCY5K78BSBX3XMZ"

name
string
required

The name of the storage location

Maximum string length: 100
project_id
string
required

The ID of the project this storage location belongs to

Required string length: 20 - 37
Examples:

"prj_1CTWZQGKE1S0VAXA"

"prj_1E0QTWB22SBX34D1"

storage_method
enum<string>
required

The method of storage by the storage location

Available options:
biochar_field,
biochar_landfill,
biomass_injection_well,
biomass_subsurface,
saline_aquifer,
in_situ_mineralization
supplier_id
string
required

The ID of the supplier this storage location belongs to

Required string length: 20 - 37
Examples:

"spl_1CC712KFS1S0YKPS"

"spl_1FJBMMGR3SBXKDME"

description
string | null

Optional description of the storage location

latitude
number | null

The latitude coordinate of the storage location

Required range: -90 <= x <= 90
longitude
number | null

The longitude coordinate of the storage location

Required range: -180 <= x <= 180
supplier_reference_id
string | null

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 100